<?php
/*
 * Plugin Name: AddThis
 * Version: 0.0.1
 * Description: AddThis activation
 * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=293
 * Author: Tiico
 * Author URI: 
 * */
/********* Fichier addthis.class.php  *********/

class AddThis
{
    var $my_config;

	// Add Addthis CSS in HEAD section
	function AddThis_link()
	{
	    global $template, $page, $user;

			if (  (isset($page['page']) && ($page['page']) == 'plugin')
				&&(isset($page['body_id']) && isset($page['section']) && ($page['section']) == 'theAdminPage'))
					$cssfile = '<link href="./plugins/AddThis/js/addthis.css" rel="stylesheet" type="text/css" />';
			else
			{
				if (isset($page['section']) && ($page['section']) == 'categories')
				{			
					// Selection du mode 'icones'
					if (	(isset($page['image_id']) && $this->my_config['ImageButton'] == 8)
						 ||	(empty($page['category']) && $this->my_config['HomeButton'] == 8)
						 ||	(isset($page['category']) && $this->my_config['CategoryButton'] == 8)
						)
						$cssfile = '<link href="./plugins/AddThis/js/addthis.css" rel="stylesheet" type="text/css" />';
				}
			}
			if (isset($cssfile))		
				$template->append('head_elements',$cssfile);		
	    
	}


	// Add Addthis icon 
	function add_AddThis_icon()
	{
		global $template, $page, $user;

		include ADDTHIS_INC_PATH.'constants.inc.php';

		if ($this->my_config['addthis_languser'])	// langue de l'utilisateur
		{
			$research = pwg_query('SELECT language FROM '.USER_INFOS_TABLE.' WHERE user_id = '.$user['id'].';');
			$defaultlanguage = mysql_fetch_array($research);
			$defaultlanguage = substr($defaultlanguage[0], 0, 2);

			if (in_array($defaultlanguage, $language_list[0]))
				$this->my_config['addthis_language'] = $defaultlanguage;

		}
		
		$addthis_img_src = array(
							'',
							'<img id="bm3i" src="http://s7.addthis.com/static/btn/lg-share-'.$this->my_config['addthis_language'].'.gif" width="125" height="16" border="0" alt="Share" />',
							'<img id="bm6i" src="http://s7.addthis.com/static/btn/sm-share-'.$this->my_config['addthis_language'].'.gif" width="83" height="16" border="0" alt="Share" />',
							'<img id="bm1i" src="http://s7.addthis.com/static/btn/lg-bookmark-en.gif" width="125" height="16" border="0" alt="Bookmark" />',
							'<img id="bm0i" src="http://s7.addthis.com/static/btn/sm-bookmark-en.gif" width="83" height="16" border="0" alt="Bookmark" />',
							'<img id="bm4i" src="http://s7.addthis.com/static/btn/lg-addthis-en.gif" width="125" height="16" border="0" alt="Add This" />',
							'<img id="bm5i" src="http://s7.addthis.com/static/btn/sm-plus.gif" width="16" height="16" border="0" alt="AddThis" />',
							''
						);

		$addthis_option = '';
		$addthis_img = 0;
		if (isset($page['section']) && ($page['section']) == 'categories')
		{			
			// image
			if (isset($page['image_id']))
			{
				$addthis_img = $this->my_config['ImageButton'];
			}
			// Page accueil 
		    elseif( empty($page['category']))
			{
				$addthis_img = $this->my_config['HomeButton'];
			}
			elseif (isset($page['category']))
			{
				$addthis_img = $this->my_config['CategoryButton'];			
			}
		}
		// pas d'affichage sur selection = 'desactive' ou si selection = 'icones'
		if ($addthis_img > 0 && $addthis_img < 8)
		{
			foreach ($this->my_config['addthis_options'] as $key => $value) 
			{
				if ($value == true)
				{
					if (strlen($addthis_option) != 0)
						$addthis_option .= ', ';
					$addthis_option .= $key;
				}
			}
	                                                          

				$tpl_code = (isset($page['image_id']) ? "\n".'<p align="left">' :"\n<li>")
				.'<script type="text/javascript">'
				.(strlen($addthis_option) != 0 ? 'var addthis_options = \''.$addthis_option.'\'': '')
				.(strlen($this->my_config['addthis_pub']) != 0 ? "\n".'var addthis_pub = "'.$this->my_config['addthis_pub'].'";' : '')
				.(strlen($this->my_config['addthis_brand']) != 0 ? "\n".'var addthis_brand = "'.$this->my_config['addthis_brand'].'";' : '')
				.(strlen($this->my_config['addthis_header_color']) != 0 ? "\n".'var addthis_header_color = "'.$this->my_config['addthis_header_color'].'";' : '')
				.(strlen($this->my_config['addthis_header_background']) != 0 ? "\n".'var addthis_header_background = "'.$this->my_config['addthis_header_background'].'";' : '')

				.(strlen($this->my_config['addthis_offset_top']) != 0 ? "\n".'var addthis_offset_top = '.$this->my_config['addthis_offset_top'].';' : '')
				.(strlen($this->my_config['addthis_offset_left']) != 0 ? "\n".'var addthis_offset_left = '.$this->my_config['addthis_offset_left'].';' : '')
				.(strlen($this->my_config['addthis_hover_delay']) != 0 ? "\n".'var addthis_hover_delay = '.$this->my_config['addthis_hover_delay'].';' : '')
				.(strlen($this->my_config['addthis_language']) != 0 ? "\n".'var addthis_language = "'.$this->my_config['addthis_language'].'";' : '')

				.'</script>
				<a href="http://www.addthis.com/bookmark.php?v=20" onmouseover="return addthis_open(this, \'\', \'[URL]\', \'[TITLE]\')" onmouseout="addthis_close()" onclick="return addthis_sendto()">'
				.$addthis_img_src[$addthis_img]
				// si selection du 7
				.($addthis_img == 7 ? (strlen($this->my_config['addthis_icon_text']) != 0 ? $this->my_config['addthis_icon_text'] : 'Share' ) : '')
				.'</a><script type="text/javascript" src="http://s7.addthis.com/js/200/addthis_widget.js"></script>'
				.(isset($page['image_id']) ? '</p>' :'</li>');

		}
		else if ($addthis_img == 8)
		{

			$tpl_code = '
			<script type="text/javascript">	
			addthis_title 	= document.title;
			addthis_url 	= window.location.href;
			addthis_clickout= true;'
			.(strlen($this->my_config['addthis_pub']) != 0 ? "\n".'addthis_id = \''.$this->my_config['addthis_pub'].'\';' : '')
			.'</script>'
			."\n";
			$nb_icons = 1;
			foreach ($this->my_config['addthis_options'] as $key => $value) 
			{
				if ($nb_icons <= $this->my_config['addthis_icon_nb'])
				{
					if ($value == true)
					{		
						$nb_icons++;

						$tpl_code .= (isset($page['image_id']) ? '' : '<li>')
						.'<a href="/" title="'.$key.'" onclick="return addthis_invoke(\''.$key.'\', addthis_url, addthis_title, addthis_id);" class="at15t at15t_'.$key.'"> &nbsp;'.$key.'</span></a>'
						.(isset($page['image_id']) ? '' : '</li>')
						."\n";	

//						$tpl_code .= '<td width="10"></td><td class="c1"><a href="javascript:sets(\''.$key.'\');" class="c1a" onclick="return omc(\''.$key.'\')"><span class="at15t at15t_'.$key.'"></span></a></td>';
//					$tpl_code .= '<li class="at15t at15t_'.$key.'"><a  href="/" title="'.$key.'" onclick="return addthis_invoke(\''.$key.'\', addthis_url, addthis_title, addthis_id);" ></a></li>';					
					}
				}
			}
			$tpl_code .= '<script type="text/javascript" src="http://s7.addthis.com/js/200/addthis_widget.js"></script>'."\n";

		}
			
		if (isset($tpl_code))
		{
			if (isset($page['image_id']))
//				$template->concat('PLUGIN_PICTURE_BEFORE', $tpl_code);
				$template->concat('PLUGIN_PICTURE_ACTIONS', $tpl_code);
			else
				$template->concat('PLUGIN_INDEX_ACTIONS', $tpl_code);
	
		}
	}


	// Add piclens pics to start slideshow
	// Another thanks to P@t

	/* Loading of the configuration file - If not exist -> load default values */
	function load_config()
	{
		
		$x = @file_get_contents( ADDTHIS_CFG_FILE );
		if ($x!==false)
		{
		  $c = unserialize($x);
		  $this->my_config = $c;
		}
		// Init default value for the config file
		$this->load_default_config();
		
	}

	/* Saving of the configuration file with data */
	function save_config()
	{
		$file = fopen( ADDTHIS_CFG_FILE, 'w' );
		fwrite($file, serialize($this->my_config) );
		fclose( $file );
	}

	
	private function load_default_config()
	{
	    include ADDTHIS_INC_PATH.'default_values.inc.php';
	    foreach ($addthis_default_values as $key => $value) 
		{
		    if (!isset($this->my_config[$key]))		$this->my_config[$key] = $value;
			if ($key = 'addthis_options')
			{
				foreach ($addthis_default_values[$key] as $subkey => $subvalue) 
					if (!isset($this->my_config[$key][$subkey]))		$this->my_config[$key][$subkey] = $subvalue;
			}
			
		}
	}

	function restore_default_config()
	{
	    include ADDTHIS_INC_PATH.'default_values.inc.php';
	    foreach ($addthis_default_values as $key => $value) 
		{
		    $this->my_config[$key] = $value;
			
		}
	}
	
		  
	function add_AddThis_action()
	{
		global $template, $page;

			$tpl_code = '<script type="text/javascript">var addthis_pub="4a0c1f674d14de33";</script>
<a href="http://www.addthis.com/bookmark.php?v=20" onmouseover="return addthis_open(this, \'\', \'[URL]\', \'[TITLE]\')" onmouseout="addthis_close()" onclick="return addthis_sendto()" class="button"><img src="http://s7.addthis.com/static/btn/lg-share-en.gif" width="125" height="16" alt="Bookmark and Share" ></a><script type="text/javascript" src="http://s7.addthis.com/js/200/addthis_widget.js"></script>';

		if (isset($tpl_code))
		{
//			$template->concat('PLUGIN_INDEX_ACTIONS', $tpl_code);
			$template->concat('PLUGIN_PICTURE_BEFORE', $tpl_code);
	
		}
	}

	
	function AddThis_admin_menu($menu)
	{
	    array_push($menu,
	       array(
	            'NAME' => 'AddThis',
	            'URL' => get_admin_plugin_menu_link(ADDTHIS_ADMIN_PATH.'AddThis_admin.php')
	        ) 
	    );
	    return $menu;
	}
	

	
}

?>
